सामग्री पर जाएँ

Train Flux LoRAs For Portraits

इंटीग्रेट करें

मॉडल id flux-lora-portrait-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-lora-portrait-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $6.00 6,000 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Black Forest Labs ट्रेनिंग #lora#personalization

पोर्ट्रेट के लिए ट्यून किया गया FLUX LoRA ट्रेनर, जिसमें विषय क्रॉपिंग और चेकपॉइंट से प्रशिक्षण जारी रखने की सुविधा है

Black Forest Labs · फ़ाइल

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

समान शैली वाली इमेज के लिए ZIP आर्काइव URL दें, साथ में वैकल्पिक रूप से उनकी इमेज से मेल खाते नाम वाली कैप्शन टेक्स्ट फ़ाइलें भी दें। कैप्शन टेक्स्ट में `[trigger]` हो सकता है; trigger_word निर्दिष्ट करने पर यह प्लेसहोल्डर उसके मान से बदल जाता है। कम से कम 10 इमेज का लक्ष्य रखें; अधिक संख्या बेहतर है।

डिफ़ॉल्ट 2500

LoRA के लिए प्रशिक्षण चरणों की संख्या।

उन्नत trigger_phrase · data_archive_format · resume_from_checkpoint · learning_rate · multiresolution_training · subject_crop · create_masks

मौजूदा कैप्शन में `[trigger]` को बदलने या कैप्शन न दिए जाने पर कैप्शन के रूप में उपयोग करने के लिए ट्रिगर वाक्यांश दें (trigger_work)। None ट्रिगर शब्द को अक्षम करता है।

आर्काइव फ़ॉर्मैट, न दिए जाने पर उसके URL से अनुमानित।

डिफ़ॉल्ट

प्रशिक्षण फिर से शुरू करने के लिए चेकपॉइंट URL।

डिफ़ॉल्ट 9.0e-05

प्रशिक्षण के दौरान लागू की जाने वाली लर्निंग रेट।

POST /run/flux-lora-portrait-trainer?wait=20 कोटेशन → $6.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-lora-portrait-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Train Flux LoRAs For Portraits के बारे में

`images_data_url` पर मौजूद इमेज के zip से पोर्ट्रेट-केंद्रित LoRA को प्रशिक्षित करता है; कम से कम 10 इमेज सुझाई जाती हैं। विकल्पों में `trigger_phrase`, `learning_rate` (1e-6 से 0.001), `steps` (डिफ़ॉल्ट 2500, अधिकतम 10000), `subject_crop`, मल्टीरिज़ॉल्यूशन प्रशिक्षण और `resume_from_checkpoint` शामिल हैं। वेट्स और कॉन्फ़िग लौटाता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
images_data_urlआवश्यक
प्रकारstring
समान शैली वाली इमेज के लिए ZIP आर्काइव URL दें, साथ में वैकल्पिक रूप से उनकी इमेज से मेल खाते नाम वाली कैप्शन टेक्स्ट फ़ाइलें भी दें। कैप्शन टेक्स्ट में `[trigger]` हो सकता है; trigger_word निर्दिष्ट करने पर यह प्लेसहोल्डर उसके मान से बदल जाता है। कम से कम 10 इमेज का लक्ष्य रखें; अधिक संख्या बेहतर है।
trigger_phraseवैकल्पिक
प्रकारstring | null
मौजूदा कैप्शन में `[trigger]` को बदलने या कैप्शन न दिए जाने पर कैप्शन के रूप में उपयोग करने के लिए ट्रिगर वाक्यांश दें (trigger_work)। None ट्रिगर शब्द को अक्षम करता है।
learning_rateवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट9.0e-05
0.000001 – 0.001
प्रशिक्षण के दौरान लागू की जाने वाली लर्निंग रेट।
stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट2500
1 – 10,000
LoRA के लिए प्रशिक्षण चरणों की संख्या।
multiresolution_trainingवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
True होने पर एकाधिक रिज़ॉल्यूशन पर प्रशिक्षण सक्षम करता है।
subject_cropवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
True होने पर इमेज से विषय को क्रॉप करना सक्षम करता है।
data_archive_formatवैकल्पिक
प्रकारstring | null
आर्काइव फ़ॉर्मैट, न दिए जाने पर उसके URL से अनुमानित।
resume_from_checkpointवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
प्रशिक्षण फिर से शुरू करने के लिए चेकपॉइंट URL।
create_masksवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
True होने पर विषय मास्क बनाना सक्षम करता है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-lora-portrait-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 6000,
    "usd": "6.00",
    "charged": 6000,
    "refunded": 0
  },
  "input": {
    "images_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
diffusers_lora_file
object {url, content_type, file_name, file_size}diffusers format में trained LoRA weights की ओर संकेत करने वाला URL।
config_file
object {url, content_type, file_name, file_size}प्रशिक्षण कॉन्फ़िगरेशन फ़ाइल URL।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/flux-lora-portrait-trainer.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt